define('DS/TestTag/TestTag', [
    'UWA/Core',
    'DS/ApplicationFrame/Command',
    'css!DS/TestTag/layui/css/layui.css',
    'DS/TestTag/layui/layui',
    'text!DS/TestTag/index.html'
], function (
    UWA,
    AFRCommand,
    laycss,
    LayUI,
    testHTML,
) {
    'use strict';

    return AFRCommand.extend({
        _setPartNumberListView: null,
        items: [],
        modal: null,
        transactionParameters: null,
        sTenentID: "OnPremise",
        securityContext: null,
        myBaseAppURL: null,
        init: function (options) {
            options = UWA.extend(options, {
                isAsynchronous: false
            });
            this._parent(options);
        },

        execute: function () {
            console.log(1111);
            console.log(LayUI);
            layui.use(['table', 'jquery'], function () {

                layer.open({
                    type: 1,
                    title: ["物料组修改", "font-size : 16px; font-weight: bold; color: #fff; background-color: #005685"],
                    area: ["700px", "350px"],
                    content: testHTML
                })
            })
        }
    })
})